@echo off
set ComSpec64=%SystemRoot%\sysnative\cmd.exe
if not exist "%ComSpec64%" goto Main
:SwitchTo64
"%ComSpec64%" /c %0 %*
exit

:Main
set HKLM_Background=HKLM\Software\Microsoft\Windows\CurrentVersion\Authentication\LogonUI\Background
for /f "tokens=3" %%i in ('2^>NUL reg query "%HKLM_Background%" /v OEMBackground    ^| find /i "OEMBackground"   ') do set /a _OEMBackground=%%i
for /f "tokens=3" %%i in ('2^>NUL reg query "%HKLM_Background%" /v OEMBackgroundBak ^| find /i "OEMBackgroundBak"') do set /a _OEMBackgroundBak=%%i
for /f "tokens=3" %%i in ('2^>NUL reg query "%HKLM_Background%" /v SetupBackground  ^| find /i "SetupBackground" ') do set /a _SetupBackground=%%i

if /i "%1" == "/enable" goto enable
if /i "%1" == "/disable" goto disable

echo Use /enable or /disable switch to alter logon background
echo OEMBackground="%_OEMBackground%"
echo OEMBackgroundBak="%_OEMBackgroundBak%"
echo SetupBackground="%_SetupBackground%"
goto end

:enable
if "%_SetupBackground%" == "1" goto end

reg add "%HKLM_Background%" /f /t REG_DWORD /v SetupBackground /d 1

if exist "%SystemRoot%\system32\oobe\info\backgrounds" ren "%SystemRoot%\system32\oobe\info\backgrounds" backgrounds_bak
if "%_OEMBackground%" == "1" reg add "%HKLM_Background%" /f /t REG_DWORD /v OEMBackgroundBak /d 1

md "%SystemRoot%\system32\oobe\info\backgrounds"
copy /y "%~dp0backgroundDefault.jpg" "%SystemRoot%\system32\oobe\info\backgrounds\backgroundDefault.jpg"
REM copy "%~dp0background1280x1024.jpg" "%SystemRoot%\system32\oobe\info\backgrounds\background1280x1024.jpg"
reg add "%HKLM_Background%" /f /t REG_DWORD /v OEMBackground /d 1

goto end

:disable
if not "%_SetupBackground%" == "1" goto end

2>NUL reg delete "%HKLM_Background%" /f /v SetupBackground
2>NUL reg delete "%HKLM_Background%" /f /v OEMBackgroundBak
2>NUL reg delete "%HKLM_Background%" /f /v OEMBackground
2>NUL rd /s /q "%SystemRoot%\system32\oobe\info\backgrounds"

if exist "%SystemRoot%\system32\oobe\info\backgrounds_bak" ren "%SystemRoot%\system32\oobe\info\backgrounds_bak" backgrounds
if "%_OEMBackgroundBak%" == "1" reg add "%HKLM_Background%" /f /t REG_DWORD /v OEMBackground /d 1

:end
